For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Platform docsVideosCommunitySign up
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
  • Management API
    • Reference
        • POSTGetCallHistory
        • POSTGetCallHistoryAsync
        • POSTGetBriefCallHistory
        • POSTGetHistoryReports
        • POSTDownloadHistoryReport
        • POSTGetTransactionHistory
        • POSTGetTransactionHistoryAsync
        • POSTDeleteRecord
        • POSTGetACDHistory
        • POSTGetAuditLog
        • POSTGetAuditLogAsync
    • Authorization
    • Errors
  • Web SDK
    • Overview
  • Android SDK
    • Overview
  • Android SDK v3
    • Overview
  • iOS SDK
    • Overview
  • React Native SDK
    • Overview
  • Flutter SDK
    • Overview
LogoLogo
Platform docsVideosCommunitySign up
Management APIReferenceHistory

DeleteRecord

||View as Markdown|
POST
https://api.voximplant.com/platform_api/DeleteRecord
POST
/platform_api/DeleteRecord
$curl -X POST "https://api.voximplant.com/platform_api/DeleteRecord?record_id=1" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Example 1
1{
2 "result": 1
3}

Try to remove a record and transcription files.

Allowed roles: Owner, Admin.

Example request: Try remove link with record_id is 1.

Was this page helpful?
Previous

GetTransactionHistoryAsync

Next

GetACDHistory

Built with

Authentication

AuthorizationBearer

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

Query parameters

record_urlstringOptional

The record URL to remove. You can retrieve the record URL via the CallSessionInfoType.records method

record_idintegerOptional

The record ID to remove. You can retrieve the record ID via the CallSessionInfoType.records method

Response

Successful response
resultinteger